Last Comment Bug 663795 - clean up browser_tabview_bug587990.js
: clean up browser_tabview_bug587990.js
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 7
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on:
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-06-13 06:31 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
2 users (show)
mounir: in‑testsuite-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (3.19 KB, patch)
2011-06-13 06:45 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v2 (3.18 KB, patch)
2011-06-13 08:03 PDT, Tim Taubert [:ttaubert]
dietrich: review+
raymond: feedback+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-06-13 06:31:47 PDT
This test is unnecessarily complicated and should use the new head.js functions.
Comment 1 Tim Taubert [:ttaubert] 2011-06-13 06:45:40 PDT
Created attachment 538876 [details] [diff] [review]
patch v1
Comment 2 Dão Gottwald [:dao] 2011-06-13 06:47:53 PDT
Comment on attachment 538876 [details] [diff] [review]
patch v1

>+    waitForFocus(finish);

What's the point of using waitForFocus here?
Comment 3 Tim Taubert [:ttaubert] 2011-06-13 06:52:42 PDT
(In reply to comment #2)
> >+    waitForFocus(finish);
> 
> What's the point of using waitForFocus here?

I wrote this patch before bug 663584 so I guess I can remove this - though I'm not sure because I really can't remember why and when I started doing this.
Comment 4 Tim Taubert [:ttaubert] 2011-06-13 08:03:53 PDT
Created attachment 538903 [details] [diff] [review]
patch v2
Comment 5 Raymond Lee [:raymondlee] 2011-06-13 09:30:21 PDT
Comment on attachment 538903 [details] [diff] [review]
patch v2

Looks good!
Comment 6 Tim Taubert [:ttaubert] 2011-06-14 12:19:11 PDT
Comment on attachment 538903 [details] [diff] [review]
patch v2

Passed try:

http://tbpl.mozilla.org/?tree=Try&pusher=tim.taubert@gmx.de&rev=e8220cdda682
Comment 7 Dietrich Ayala (:dietrich) 2011-06-16 05:40:54 PDT
Comment on attachment 538903 [details] [diff] [review]
patch v2

Review of attachment 538903 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 9 Mounir Lamouri (:mounir) 2011-06-18 09:36:11 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/1a1f55c9ad67

Note You need to log in before you can comment on or make changes to this bug.